/*
  multiverseview.h

  Copyright (c) 2021 Kevin Matz (kevin.matz@gmail.com)

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in all
  copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE.
*/
#pragma once

#include "multiversemodel.h"
#include "qsacnnode.h"

#include <QMainWindow>
#include <QSortFilterProxyModel>


QT_BEGIN_NAMESPACE
namespace Ui
{
  class MultiverseView;
}
QT_END_NAMESPACE

/**
 * @brief The MultiverseView class
 */
class MultiverseView
    : public QMainWindow
{
  Q_OBJECT

public:
  explicit MultiverseView(QWidget *parent = nullptr,
                          QSacnNode* node = nullptr);
  virtual ~MultiverseView();

public slots:
  void selectionChanged(const QModelIndex &current, const QModelIndex &previous);
  void createContextMenu(const QPoint &pos);
  void createEditor(const QModelIndex &index);

private:
  Ui::MultiverseView *ui;
  QSacnNode * node;
  MultiverseModel * model;
  QSortFilterProxyModel *sortProxy;
};
