# Library for E1.20 RDM

## Remote Device Management Over DMX512 Networks

### Parameter PIDs

Supported Command Classes shown as `✓`.  Allowed command classes shown as `X` indicating that support is implementation specific outside of this library.

#### E1.20 PIDs
| Parameter | Disc | Get | Set |
| :- | :-: | :-: | :-: |
| **Network Management** ||||
| DISC_UNIQUE_BRANCH | ✓ |  |  |
| DISC_MUTE | ✓ |  |  |
| DISC_UN_MUTE | ✓ |  |  |
| PROXIED_DEVICES |  | X |  |
| PROXIED_DEVICE_COUNT |  | X |  |
| COMMS_STATUS |  | ✓ | ✓ |
| **Status Collection** ||||
| QUEUED_MESSAGE |  | ✓ |  |
| STATUS_MESSAGES |  | ✓ |  |  
| STATUS_ID_DESCRIPTION |  | ✓ |  |
| CLEAR_STATUS_ID |  |  | ✓ |
| SUB_DEVICE_STATUS_REPORT_THRESHOLD |  | ✓ | ✓ |
| **RDM Information** ||||
| SUPPORTED_PARAMETERS |  | ✓ |  |
| PARAMETER_DESCRIPTION |  | X |  |
| **Product Information** ||||
| DEVICE_INFO |  | ✓ |  |
| PRODUCT_DETAIL_ID_LIST |  | ✓ |  |
| DEVICE_MODEL_DESCRIPTION |  | ✓ |  |
| MANUFACTURER_LABEL |  | ✓ |  |
| DEVICE_LABEL |  | X | X |
| FACTORY_DEFAULTS |  | X | X |
| **DMX512 Setup** ||||
| DMX_PERSONALITY |  | ✓ | ✓ |
| DMX_PERSONALITY_DESCRIPTION |  | ✓ |  |
| DMX_START_ADDRESS |  | ✓ | ✓ |
| SLOT_INFO |  | X |  |
| SLOT_DESCRIPTION |  | X |  |
| DEFAULT_SLOT_VALUE |  | X |  |
| **Sensors** ||||
| SENSOR_DEFINITION |  | ✓ |  |
| SENSOR_VALUE |  | ✓ | ✓ |
| RECORD_SENSORS |  |  | ✓ |
| **Dimmer Settings** |  |  |  |
| **Power/Lamp Settings** |  |  |  |
| DEVICE_HOURS |  | X | X |
| LAMP_HOURS |  | X | X |
| LAMP_STRIKE |  | X | X |
| LAMP_STATE |  | X | X |
| LAMP_ON_MODE |  | X | X |
| DEVICE_POWER_CYCLES |  | X | X |
| **Display Settings** ||||
| DISPLAY_INVERT |  | X | X |
| DISPLAY_LEVEL |  | X | X |
| **Configuration** ||||
| PAN_INVERT |  | X | X |
| TILE_INVERT |  | X | X |
| PANT_TILT_SWAP |  | X | X |
| REAL_TIME_CLOCK |  | X | X |
| **Control** ||||
| IDENTIFY_DEVICE |  | ✓ | ✓ |
| RESET_DEVICE |  |  | ✓ |
| POWER_STATE |  | X | X |
| PERFORM_SELFTEST |  | X |  |
| CAPTURE_PRESET |  |  | X |
| PRESET_PLAYBACK |  | X | X |


#### E1.37-1 PIDs
| Parameter | Get | Set |
| :- | :-: | :-: |
| **DMX512 Setup** |||
| DMX_BLOCK_ADDRESS | X | X |
| DMX_FAIL_MODE | X | X |
| DMX_STARTUP_MODE | X | X |
| **Dimmer Settings** |||
| DIMMER_INFO | X |  |
| MINIMUM_LEVEL | X | X |
| MAXIMUM_LEVEL | X | X |
| CURVE | X | X |
| CURVE_DESCRIPTION | X |  |
| OUTPUT_RESPONSE_TIME | X | X |
| OUTPUT_RESPONSE_DESCRIPTION | X |  |
| MODULATION_FREQUENCY | X | X |
| MODULATION_FREQUENCY_DESCRIPTION | X |  |
| **Power/Lamp Settings** |||
| BURN_IN | X | X |
| **Configuration** |||
| LOCK_PIN | X | X |
| LOCK_STATE | X | X |
| LOCK_STATE_DESCRIPTION | X |  |
| **Control** |||
| IDENTIFY_MODE | X | X |
| PRESET_INFO | X |  |
| PRESET_STATUS | X | X |
| PRESET_MERGEMODE | X | X |
| POWER_ON_SELF_TEST | X | X |


#### E1.37-2 PIDs
| Parameter | Get | Set |
| :- | :-: | :-: |
| **IP & DNS Configuration** |||
| LIST_INTERFACES | X |  |
| INTERFACE_LABEL | X |  |
| INTERFACE_HARDWARE_ADDRESS_TYPE1 | X |  |
| IPV4_DHCP_MODE | X | X |
| IPV4_ZEROCONF_MODE | X | X |
| IPV4_CURRENT_ADDRESS | X |  |
| IPV4_STATIC_ADDRESS | X | X |
| INTERFACE_RENEW_DHCP |  | X |
| INTERFACE_RELEASE_DHCP |  | X |
| INTERFACE_APPLY_CONFIGURATION |  | X |
| IPV4_DEFAULT_ROUTE | X | X |
| DNS_IPV4_NAME_SERVER | X | X |
| DNS_HOSTNAME | X | X |
| DNS_DOMAIN_NAME | X | X |

#### E1.37-7 PIDs
| Parameter | Get | Set |
| :- | :-: | :-: |
| **RDMnet and RDM Splitter Management** |||
| ENDPOINT_LIST | X |  |
| ENDPOINT_LIST_CHANGE | X |  |
| IDENTIFY_ENDPOINT | X | X |
| ENDPOINT_TO_UNIVERSE | X | X |
| ENDPOINT_MODE | X | X |
| ENDPOINT_LABEL | X | X |
| RDM_TRAFFIC_ENABLE | X | X |
| DISCOVERY_STATE | X | X |
| BACKGROUND_DISCOVER | X | X |
| ENDPOINT_TIMING | X | X |
| ENDPOINT_TIMING_DESCRIPTION | X | X |
| ENDPOINT_RESPONDERS | X |  |
| ENDPOINT_RESPONDERS_LIST_CHANGE | X |  |
| BINDING_CONTROL_FIELDS | X |  |
| BACKGROUND_QUEUED_STATUS_POLICY | X | X |
| BACKGROUND_QUEUED_STATUS_POLICY_DESCRIPTION | X |  |
